- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- MagickMonitor
- SetMonitorHandler

# NAME

monitor - Progress Monitor

# SYNOPSIS

MagickBooleanType MagickMonitor( const char *text, const MagickOffsetType offset, const MagickSizeType span, ExceptionInfo *exception );

MonitorHandler SetMonitorHandler( MonitorHandler handler );

# FUNCTION DESCRIPTIONS

## MagickMonitor

> MagickMonitor() calls the monitor handler method with a text string that describes the task and a measure of completion. The method returns MagickTrue on success otherwise MagickFalse if an error is encountered, e.g. if there was a user interrupt.

The format of the MagickMonitor method is:

> MagickBooleanType MagickMonitor ( const char *text, const MagickOffsetType offset, const MagickSizeType span, ExceptionInfo *exception );

A description of each parameter follows:

offset:
  The position relative to the span parameter which represents how much progress has been made toward completing a task.

span:
  The span relative to completing a task.

exception:
  Return any errors or warnings in this structure.

## SetMonitorHandler

> SetMonitorHandler() sets the monitor handler to the specified method and returns the previous monitor handler.

The format of the SetMonitorHandler method is:

> MonitorHandler SetMonitorHandler ( MonitorHandler handler );

A description of each parameter follows:

handler:
  Specifies a pointer to a method to handle monitors.

"Image manipulation software that works like magick"